Feature request #1167

SLD support in conjunction with WMS

Added by Horst Düster over 8 years ago. Updated over 4 years ago.

Status:Open Start Date:
Priority:Normal Due date:
Assigned to:- % Done:

0%

Category:WMS Client
Target version:Future Release - Nice to have
Platform:All Resolution:
Platform version: Pull Request or Patch supplied:No
Status info:0 Tag:

Description

It would be very helpful and very nice to have the option to define a SLD-URL in conjunction with WMS connection info.

sldpatch.patch - Patch to add sld support for wms layers (26 kB) Redmine Admin, 07/22/2009 01:31 pm

sldpatch_18_08_09.patch - Patch with python bindings updated (75.5 kB) Redmine Admin, 08/17/2009 06:43 pm

History

Updated by frdcn - over 8 years ago

It would nice to have support for sld_body, this way styling for wms layers could be made directly in qgis using the style editor and eliminating the requirement to store the style file in a public visible ip address.

Updated by springmeyer - almost 8 years ago

See also: #1726

Updated by Redmine Admin over 7 years ago

  • Status changed from Open to In Progress

Updated by Tim Sutton over 7 years ago

Got this when trying to build your patch against .

sipcoreQgsRasterLayer.cpp: In function ‘PyObject* meth_QgsRasterLayer_setDataProvider(PyObject*, PyObject*)’:
sipcoreQgsRasterLayer.cpp:1794: error: no matching function for call to ‘QgsRasterLayer::setDataProvider(const QString&, const QStringList&, const QStringList&, const QString&, const QString&)’
/home/timlinux/dev/cpp/qgis/src/core/raster/qgsrasterlayer.h:374: note: candidates are: void QgsRasterLayer::setDataProvider(const QString&, const QStringList&, const QStringList&, const QString&, const QString&, const QString&, const QString&)
maker3: * [sipcoreQgsRasterLayer.o] Error 1
maker2:
[python/core/core.so] Error 2
maker1: *
* [python/CMakeFiles/python.dir/all] Error 2

Regards

Tim

Updated by Redmine Admin over 7 years ago

Sorry, I didn't build with python and didn't update the bindings, I will fix this and upload a new patch.

Regards
Godofredo Contreras

Updated by Paolo Cavallini almost 6 years ago

Any reason not to apply this to 1.8?

Updated by Giovanni Manghi over 5 years ago

  • Target version changed from Version 1.7.0 to Version 1.7.4

Updated by Giovanni Manghi almost 5 years ago

  • Target version changed from Version 1.7.4 to Version 2.0.0

Updated by Paolo Cavallini over 4 years ago

  • Assigned to changed from Redmine Admin to Giuseppe Sucameli
  • Pull Request or Patch supplied set to No

Updated by Giuseppe Sucameli over 4 years ago

  • Status changed from In Progress to Open
  • Assigned to deleted (Giuseppe Sucameli)
  • Priority changed from Low to Normal

Support for sld_body is still missing.

There was a lot of changes to providers classes from the day the attached patches was written, it's unlikely that they can still be applied.

Updated by Pirmin Kalberer over 4 years ago

  • Target version changed from Version 2.0.0 to Future Release - Nice to have

Also available in: Atom